<?php

// ACP Header - START
if (!empty($setmodules))
{
	if ($userdata['user_id'] == 2){
	$module['Mods']['Лог действий пользователей'] = basename(__FILE__);}
	return;
}
require('./pagestart.php');
// ACP Header - END

if (!IS_SUPER_ADMIN) bb_die($lang['NOT_ADMIN']);

$username = trim(request_var('user', ''));
$start = isset($_GET['start']) ? abs(intval($_GET['start'])) : '0';
$per_page = $bb_cfg['topics_per_page'];

if($username) $where_name = "WHERE username = '". DB()->escape($username) ."'";
else $where_name = '';

$row = CACHE('buf_where')->fetch_row("SELECT COUNT(id) as where_count FROM buf_where $where_name");
$where_count = ($row) ? $row['where_count'] : 0;

if($where_count)
{
	$sql = CACHE('buf_where')->fetch_rowset("
		SELECT * FROM buf_where
		$where_name
		ORDER BY time DESC
	LIMIT $start, $per_page");

	foreach($sql as $i => $row)
	{
		$template->assign_block_vars('where', array(
			'ROW_CLASS'  => (!($i % 2)) ? 'row1' : 'row2',
			'USER'    => profile_url($row),
			'TIME'    => bb_date($row['time']),
			'URL'     => where_user_url($row, false),
			'IP'      => '<a href="'. $bb_cfg['whois_info'] . decode_ip($row['user_ip']) .'" target="_blank">'. decode_ip($row['user_ip']) .'</a>',
		));
	}
	
	$where_url = ($username) ? "admin_where_user.php?where&user=$username" : 'admin_where_user.php?where' ;
    generate_pagination($where_url, $where_count, $per_page, $start);
}


$template->assign_vars(array(
    'USERNAME' => $username,
));


print_page('admin_where_user.tpl', 'admin');